select
  id as "id",
  e.time as "time",
  decode(type,
     'ack', 'Bestätigung',
     'expect', 'Empfang',
     'supply', 'Bereitstellung',
     'delivery', 'Lieferung',
     'transaction', 'Transaktion',
  type) as "type",
  code as "code",
  NULL as "status",
  UPPER(status) as "substatus",
  decode(status,
      'info', 'Information',
      'inprocess', 'Dokument wird verarbeitet',
      'ready', 'Dokument liegt bereit',
      'probed', 'Dokument wurde abgerufen',
      'error', 'Fehler',
      'coment', 'Kommentar',
  status) as "substatustranslation",
  ordernumber as "ordernumber",
  tan as "transactionid",
  library as "library",
  userid as "userid",
  ref as "ref",
  message as "message"
from zflleihe50.event e
