select
    o.or_seqno as "pos",
    s.st_when as "supplytime",
    sup.it_isil as "supplierisil",
    cast(e.time as timestamp) as "deliverytime",
    o.or_num_pages as "pages"
from medea3.orders o
    left join medea3.stages s on o.or_id = s.st_or_id and o.or_seqno = s.st_seqno
    left join medea3.institutions sup on s.st_dest_inst = sup.it_id
    left outer join zflleihe50.event e on o.or_id = e.ordernumber and e.type = 'transaction' and e.code = 'transaction-success'
where o.or_id = :key and s.st_or_id = :key
