SELECT
     st.syt_id as "id",
     i.IT_ISIL AS "library",
     stc.sytc_info AS "type",
     st.SYT_KEY AS "name",
     st.syt_info AS "subject",
     st.syt_text AS "message",
     sysdate AS "created",
     sysdate AS "modified",
     decode(stc.SYTC_CLASS, 'SYSTEM', '1', '0') AS "distributed"
FROM SYS_TEXTS st
  INNER JOIN INSTITUTIONS i ON i.it_id = st.SYT_IN_ID
  INNER JOIN SYS_TEXT_CLASSES stc ON stc.SYTC_ID = st.SYT_CLASS
where
  i.it_isil = :isil
